
export const menuData = [
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "设备管理",
        iconClassName: "el-icon-monitor",
        index: '1',
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '设备类型',
                index: '1-1',
                routerName: "deviceType"
            },
            {
                optionName: '设备信息',
                index: '1-2',
                routerName: "deviceInfo"
            },
            {
                optionName: '选项3',
                index: '1-3',
                routerName: "home1_3"
            },
            {
                optionName: '选项4',
                index: '1-4',
                routerName: "home1_4"
            }
        ]
    },
    {
        oneMenuName: "区域管理",
        iconClassName: "el-icon-s-flag",
        routerName: "home2",
        index: '2',
        disabled: false,
        childList: [ // 不分组的
            {
                optionName: '区域信息',
                index: '2-1',
                routerName: "areaInfo"
            },
            
            {
                optionName: '选项2',
                index: '2-2',
                routerName: "home1_4"
            }
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        routerName: "home3",
        index: '3',
        disabled: false,
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航四",
        iconClassName: "el-icon-menu",
        index: '4',
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '选项1',
                index: '4-1',
                routerName: "home4-1"
            },
            {
                optionName: '选项2',
                index: '4-2',
                routerName: "home4-2"
            },
            {
                optionName: '选项3',
                index: '4-3',
                routerName: "home4-3"
            },
            
        ]
    },
]

// export default {menuData}




/* 菜单配置 描述 */
const menuData描述 = [
    // 有子菜单 并且字菜单分组的
    {
        oneMenuName: "导航一", // 一级菜单名
        iconClassName: "aaa", // element-ui图标名
        index: '1', // 唯一标志
        childList: [ // 分组的
            {
                groupName: '组名一',
                index: '1-1-1',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            },
            {
                groupName: '组名二',
                index: '1-1-2',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            }
        ],
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航二",
        iconClassName: "el-icon-menu",
        index: '2',
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '选项1',
                index: '2-1',
                routerName: "home"
            },
            {}
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        routerName: "home",
        index: '3',
        disabled: false
    },
    
    "导航四"
]


